Update Auto Recharge Config
curl --request POST \
--url https://api.peachdeskai.com/api/v1/billing/auto-recharge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"threshold_tokens": 123,
"amount_cents": 123,
"cooldown_minutes": 15,
"monthly_cap_cents": 123
}
'import requests
url = "https://api.peachdeskai.com/api/v1/billing/auto-recharge"
payload = {
"enabled": True,
"threshold_tokens": 123,
"amount_cents": 123,
"cooldown_minutes": 15,
"monthly_cap_cents": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
threshold_tokens: 123,
amount_cents: 123,
cooldown_minutes: 15,
monthly_cap_cents: 123
})
};
fetch('https://api.peachdeskai.com/api/v1/billing/auto-recharge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/billing/auto-recharge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'enabled' => true,
'threshold_tokens' => 123,
'amount_cents' => 123,
'cooldown_minutes' => 15,
'monthly_cap_cents' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/billing/auto-recharge"
payload := strings.NewReader("{\n \"enabled\": true,\n \"threshold_tokens\": 123,\n \"amount_cents\": 123,\n \"cooldown_minutes\": 15,\n \"monthly_cap_cents\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/billing/auto-recharge")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true,\n \"threshold_tokens\": 123,\n \"amount_cents\": 123,\n \"cooldown_minutes\": 15,\n \"monthly_cap_cents\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/billing/auto-recharge")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"enabled\": true,\n \"threshold_tokens\": 123,\n \"amount_cents\": 123,\n \"cooldown_minutes\": 15,\n \"monthly_cap_cents\": 123\n}"
response = http.request(request)
puts response.read_body{
"enabled": true,
"threshold_tokens": 123,
"amount_cents": 123,
"cooldown_minutes": 15,
"monthly_cap_cents": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Update Auto Recharge Config
Set or update the orgтАЩs auto-recharge configuration.
POST
/
api
/
v1
/
billing
/
auto-recharge
Update Auto Recharge Config
curl --request POST \
--url https://api.peachdeskai.com/api/v1/billing/auto-recharge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"threshold_tokens": 123,
"amount_cents": 123,
"cooldown_minutes": 15,
"monthly_cap_cents": 123
}
'import requests
url = "https://api.peachdeskai.com/api/v1/billing/auto-recharge"
payload = {
"enabled": True,
"threshold_tokens": 123,
"amount_cents": 123,
"cooldown_minutes": 15,
"monthly_cap_cents": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
threshold_tokens: 123,
amount_cents: 123,
cooldown_minutes: 15,
monthly_cap_cents: 123
})
};
fetch('https://api.peachdeskai.com/api/v1/billing/auto-recharge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/billing/auto-recharge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'enabled' => true,
'threshold_tokens' => 123,
'amount_cents' => 123,
'cooldown_minutes' => 15,
'monthly_cap_cents' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/billing/auto-recharge"
payload := strings.NewReader("{\n \"enabled\": true,\n \"threshold_tokens\": 123,\n \"amount_cents\": 123,\n \"cooldown_minutes\": 15,\n \"monthly_cap_cents\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/billing/auto-recharge")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true,\n \"threshold_tokens\": 123,\n \"amount_cents\": 123,\n \"cooldown_minutes\": 15,\n \"monthly_cap_cents\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/billing/auto-recharge")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"enabled\": true,\n \"threshold_tokens\": 123,\n \"amount_cents\": 123,\n \"cooldown_minutes\": 15,\n \"monthly_cap_cents\": 123\n}"
response = http.request(request)
puts response.read_body{
"enabled": true,
"threshold_tokens": 123,
"amount_cents": 123,
"cooldown_minutes": 15,
"monthly_cap_cents": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
SessionAuthApiKeyAuth
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Body
application/json

